diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_end_functions.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_end_functions.py
index 508ab8762..f9be61e05 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_end_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_end_functions.py
@@ -110,7 +110,7 @@ class FTSParsersEndFunctionTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_get.py
index 89738aaa1..a73c498b8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_get.py
@@ -67,7 +67,7 @@ class FtsParserGetTestCase(BaseTestGenerator):
                                    str(self.fts_parser_id),
                                    content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_get_nodes.py
index 35d101d4d..87d5df6db 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_get_nodes.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_get_nodes.py
@@ -129,7 +129,7 @@ class FTSParsersNodesTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_head_line_functions.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_head_line_functions.py
index e3bb75531..35e60da63 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_head_line_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_head_line_functions.py
@@ -110,7 +110,7 @@ class FTSParsersNodesTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_lextype_functions.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_lextype_functions.py
index 3ca2233c8..3e77cce58 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_lextype_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_lextype_functions.py
@@ -110,7 +110,7 @@ class FTSParsersLexTypeTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_put.py
index 0f0ea3c2a..1c777bad6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_put.py
@@ -85,7 +85,7 @@ class FtsParserPutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_start_functions.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_start_functions.py
index f8447efa8..a61c154fe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_start_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_start_functions.py
@@ -110,7 +110,7 @@ class FTSParsersEndFunctionTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_token_functions.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_token_functions.py
index e27f42150..2e43dd155 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_token_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_token_functions.py
@@ -110,7 +110,7 @@ class FTSParsersTokenFunctionTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_dependency_dependent.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_dependency_dependent.py
index 85da79723..0df58fcee 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_dependency_dependent.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_dependency_dependent.py
@@ -92,7 +92,7 @@ class FTSTemplatesDependencyDependentTestCase(BaseTestGenerator):
             response = self.get_dependency_dependent()
             actual_response_code = response.status_code
             expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def get_dependency_dependent(self):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_init.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_init.py
index 45a7cab26..3ace9f3bc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_init.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_init.py
@@ -100,7 +100,7 @@ class FTSTemplatesGetInitTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def get_init(self):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_lexize.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_lexize.py
index c4c1a7434..da2b3d44e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_lexize.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_lexize.py
@@ -100,7 +100,7 @@ class FTSTemplatesGetLexizeTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def get_lexzie(self):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_nodes.py
index 2cb7412a4..63dccebe7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_nodes.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_template_get_nodes.py
@@ -105,7 +105,7 @@ class FTSTemplatesDependencyDependentTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def get_fts_templates_nodes(self):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
index 050a48db9..e3ce269e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
@@ -72,7 +72,7 @@ class FtsTemplateAddTestCase(BaseTestGenerator):
             data=json.dumps(self.data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts_template and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
index b49c27327..0a7811a38 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
@@ -75,7 +75,7 @@ class FtsTemplateDeleteTestCase(BaseTestGenerator):
             str(self.fts_temp_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
         negative_delete_response = self.tester.delete(
             self.url + str(utils.SERVER_GROUP) + '/' +
@@ -85,7 +85,7 @@ class FtsTemplateDeleteTestCase(BaseTestGenerator):
             str(0),
             follow_redirects=True)
 
-        self.assertEquals(negative_delete_response.status_code, 500)
+        self.assertEqual(negative_delete_response.status_code, 500)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete_multiple.py
index e09569a68..d4aef6248 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete_multiple.py
@@ -92,7 +92,7 @@ class FtsTemplateDeleteMultipleTestCase(BaseTestGenerator):
             content_type='html/json',
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
index e49beba5b..a0bcf093b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
@@ -69,7 +69,7 @@ class FtsTemplateGetTestCase(BaseTestGenerator):
                                    str(self.fts_temp_id),
                                    content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts_template and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_put.py
index 7434a6a02..517c5a17c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_put.py
@@ -84,7 +84,7 @@ class FtsTemplatePutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
         negative_put_response = self.tester.put(
             self.url + str(utils.SERVER_GROUP) + '/' +
@@ -95,7 +95,7 @@ class FtsTemplatePutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(negative_put_response.status_code, 500)
+        self.assertEqual(negative_put_response.status_code, 500)
 
     def tearDown(self):
         """This function delete the fts_template and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_add.py
index 9a1063d52..2eb6139e3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_add.py
@@ -90,6 +90,6 @@ class FunctionAddTestCase(BaseTestGenerator):
             content_type='html/json'
         )
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete.py
index 6dd6bf806..4244aaab0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete.py
@@ -41,7 +41,7 @@ class FunctionDeleteTestCase(BaseTestGenerator):
             str(self.schema_id) + '/' + str(func_id),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete_multiple.py
index d822e4e21..a0c0f93d9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete_multiple.py
@@ -48,7 +48,7 @@ class FunctionDeleteTestCase(BaseTestGenerator):
             follow_redirects=True,
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get.py
index a44a22f81..17ba1159c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get.py
@@ -41,7 +41,7 @@ class FunctionGetTestCase(BaseTestGenerator):
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' + str(trigger_func_id),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_put.py
index 4ca810e26..1db46a313 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_put.py
@@ -60,7 +60,7 @@ class FunctionPutTestCase(BaseTestGenerator):
             str(func_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_add.py
index c3940f566..7496b52ed 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_add.py
@@ -88,6 +88,6 @@ class ProcedureAddTestCase(BaseTestGenerator):
             content_type='html/json'
         )
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_delete.py
index cc6c189ee..aa7e40b44 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_delete.py
@@ -48,7 +48,7 @@ class procedureDeleteTestCase(BaseTestGenerator):
             str(self.schema_id) + '/' + str(proc_id),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_delete_multiple.py
index 0402a0dbc..31b0f3956 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_delete_multiple.py
@@ -56,7 +56,7 @@ class procedureDeleteMultipleTestCase(BaseTestGenerator):
             content_type='html/json',
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_exec_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_exec_sql.py
index a9b4eb0a8..d1f478f66 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_exec_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_exec_sql.py
@@ -54,7 +54,7 @@ class ProcedureExecSQLTestCase(BaseTestGenerator):
             '/' + str(self.server_id) + '/' + str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(proc_id))
-        self.assertEquals(exec_response.status_code, 200)
+        self.assertEqual(exec_response.status_code, 200)
         exec_sql = json.loads(exec_response.data.decode('utf-8'))
 
         # Replace multiple spaces with one space and check the expected sql
@@ -68,7 +68,7 @@ class ProcedureExecSQLTestCase(BaseTestGenerator):
             expected_sql = self.expected_sql.format("EXEC", self.schema_name,
                                                     proc_name)
 
-        self.assertEquals(sql, expected_sql)
+        self.assertEqual(sql, expected_sql)
 
         # Verify the EXEC SQL by running it if we don't have arguments
         if not self.with_args:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_get.py
index 678346878..9ba1e4a5b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_get.py
@@ -47,7 +47,7 @@ class ProcedureGetTestCase(BaseTestGenerator):
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' + str(proc_id),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_put.py
index 9c17a8795..aceb01853 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_procedure_put.py
@@ -54,7 +54,7 @@ class ProcedurePutTestCase(BaseTestGenerator):
             str(proc_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_add.py
index c90453d2b..3cba56ba5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_add.py
@@ -86,6 +86,6 @@ class TriggerFuncAddTestCase(BaseTestGenerator):
                 '/', data=json.dumps(data), content_type='html/json'
             )
 
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete.py
index 261488dfb..4e04c71e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete.py
@@ -43,7 +43,7 @@ class TriggerFuncDeleteTestCase(BaseTestGenerator):
             str(self.schema_id) + '/' + str(trigger_func_id),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete_multiple.py
index d6d1cd037..cc379c3f0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete_multiple.py
@@ -51,7 +51,7 @@ class TriggerFuncDeleteMultipleTestCase(BaseTestGenerator):
             follow_redirects=True,
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
index 30cca310f..aaaae5cab 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
@@ -42,7 +42,7 @@ class TriggerFuncGetTestCase(BaseTestGenerator):
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' + str(trigger_func_id),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
index 7bbe3c2d9..94d466c61 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
@@ -50,7 +50,7 @@ class TriggerFuncPutTestCase(BaseTestGenerator):
             str(trigger_func_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
 
